/** 0.91 **/
var FingerBridge = {
    finger: {
        getUserAgent: function () {
            var userAgent = navigator.userAgent.toLowerCase();
            if (userAgent.search("android") > -1) {
                return "android";
            } else if ((userAgent.search("iphone") > -1) || (userAgent.search("ipod") > -1) || (userAgent.search("ipad") > -1)) {
                return "ios";
            } else {
                return "";
            }
        },

        //FingerBridge.finger.setDevice();
        setDevice: function () {
            var currentOs = this.getUserAgent();
            var data = { "FingerHandlerEventKey": "setDevice" };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.checkPush("51251","DEFT","132123jn4");
        checkPush: function (msg_Tag, msg_Mode, msg_Label) {
            var currentOs = this.getUserAgent();
            var param = { "msgTag": msg_Tag, "mode": msg_Mode, "lcode": msg_Label };
            var data = { "FingerHandlerEventKey": "checkPush", "FingerHandlerParamKey": param };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.setPushEnable(true);
        setPushEnable: function (isEnable) {
            var currentOs = this.getUserAgent();
            var param = { "enable": isEnable };
            var data = { "FingerHandlerEventKey": "setPushEnable", "FingerHandlerParamKey": param };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.setAdvertisePushEnable(true);
        setAdvertisePushEnable: function (isEnable) {
            var currentOs = this.getUserAgent();
            var param = { "enable": isEnable };
            var data = { "FingerHandlerEventKey": "setAdvertisePushEnable", "FingerHandlerParamKey": param };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.setIdentity("wondriver");
        setIdentity: function (identity) {
            var currentOs = this.getUserAgent();
            var param = { "id": identity };
            var data = { "FingerHandlerEventKey": "setIdentity", "FingerHandlerParamKey": param };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.setUniqueIdentity("wondriver3", true, "i am wondriver!");
        setUniqueIdentity: function (identity, isAlram, msg) {
            var currentOs = this.getUserAgent();
            var param = { "id": identity, "isAlram": isAlram, "msg": msg };
            var data = { "FingerHandlerEventKey": "setUniqueIdentity", "FingerHandlerParamKey": param };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.removeIdentity();
        removeIdentity: function () {
            var currentOs = this.getUserAgent();
            var data = { "FingerHandlerEventKey": "removeIdentity" };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.setTag("tag1,tag2,tag3");
        setTag: function (tags) {
            var currentOs = this.getUserAgent();
            var param = { "tags": tags };
            var data = { "FingerHandlerEventKey": "setTag", "FingerHandlerParamKey": param };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.removeTag("tag1,tag2,tag3");
        removeTag: function (tags) {
            var currentOs = this.getUserAgent();
            var param = { "tags": tags };
            var data = { "FingerHandlerEventKey": "removeTag", "FingerHandlerParamKey": param };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.removeAllTag();
        removeAllTag: function () {
            var currentOs = this.getUserAgent();
            var data = { "FingerHandlerEventKey": "removeAllTag" };
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.getPushList("FingerBridge.nativeCallback.getCallBackData");
        getPushList: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "getPushList", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.finger.getDeviceTag("FingerBridge.nativeCallback.getCallBackData");
        getDeviceTag: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "getDeviceTag", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);

            } else {
                return false;
            }
        },

        //FingerBridge.finger.getAllTag("FingerBridge.nativeCallback.getCallBackData");
        getAllTag: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "getAllTag", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);

            } else {
                return false;
            }
        },

        //FingerBridge.finger.getDeviceInfo("FingerBridge.nativeCallback.getCallBackData");
        getDeviceInfo: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "getDeviceInfo", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);

            } else {
                return false;
            }
        },

        //FingerBridge.finger.getAppReport("FingerBridge.nativeCallback.getCallBackData");
        getAppReport: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "getAppReport", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);

            } else {
                return false;
            }
        },

        //FingerBridge.finger.showInAppPush("FingerBridge.nativeCallback.getCallBackData");
        showInAppPush: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "showInAppPush", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);

            } else {
                return false;
            }
        },

        //FingerBridge.finger.showInAppPushDeft("FingerBridge.nativeCallback.getCallBackData");
        showInAppPushDeft: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "showInAppPushDeft", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);

            } else {
                return false;
            }
        },

        //FingerBridge.finger.showInAppPushTarget("FingerBridge.nativeCallback.getCallBackData");
        showInAppPushTarget: function (callback) {
            var currentOs = this.getUserAgent();
            var param = { "fnc": callback };
            var data = { "FingerHandlerEventKey": "showInAppPushTarget", "FingerHandlerParamKey": param }
            if (currentOs === "android") {
                window.FingerHandler.postMessage(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerHandler.postMessage(data);

            } else {
                return false;
            }
        }

    },

    nativeCallback: {
        getCallBackData: function (data) {
            var pushLists_str = JSON.stringify(data);
            alert(pushLists_str);
        },

        backPressed: function () {
            // TODO : - 함수를 구현해주세요
            alert('미구현함수입니다.');
        }
    },

    //앱에서 화면 호출 시 (webConfiguration.userContentController.add 추가해줘야함)
    appCall: {

        //FingerBridge.appCall.openAppSetting();
        openAppSetting: function () {
            var currentOs = FingerBridge.finger.getUserAgent();
            var data = { "method": "openAppSetting" };
            if (currentOs === "android") {
                window.FingerAppCallHandler.fingerAppCallHandler(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerAppCallHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.appCall.openAppPushlist();
        openAppPushlist: function () {
            var currentOs = FingerBridge.finger.getUserAgent();
            var data = { "method": "openAppPushlist" };
            if (currentOs === "android") {
                window.FingerAppCallHandler.fingerAppCallHandler(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerAppCallHandler.postMessage(data);
            } else {
                return false;
            }
        },

        //FingerBridge.appCall.openAppLoadUrl('https://m.naver.com');
        openAppLoadUrl: function (url) {
            var currentOs = FingerBridge.finger.getUserAgent();
            var param = { "url": url };
            var data = { "method": "openAppLoadUrl", "FingerHandlerParamKey": param }

            if (currentOs === "android") {
                window.FingerAppCallHandler.fingerAppCallHandler(JSON.stringify(data));
            } else if (currentOs === "ios") {
                webkit.messageHandlers.fingerAppCallHandler.postMessage(data);
            } else {
                return false;
            }
        }
    }

};